Package org.optaplanner.benchmark.impl.measurement

## Class ScoreDifferencePercentage

- java.lang.Object
- - org.optaplanner.benchmark.impl.measurement.ScoreDifferencePercentage

- All Implemented Interfaces:
    `Serializable`

      public class ScoreDifferencePercentage
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScoreDifferencePercentage​(double[] percentageLevels)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ScoreDifferencePercentage` | `add​(ScoreDifferencePercentage addend)` |
    `static double` | `calculateDifferencePercentage​(double base, double value)` |
    `static <Score_ extends Score<Score_>> ScoreDifferencePercentage` | `calculateScoreDifferencePercentage​(Score_ baseScore, Score_ valueScore)` |
    `ScoreDifferencePercentage` | `divide​(double divisor)` |
    `double[]` | `getPercentageLevels()` |
    `ScoreDifferencePercentage` | `multiply​(double multiplicand)` |
    `ScoreDifferencePercentage` | `subtract​(ScoreDifferencePercentage subtrahend)` |
    `String` | `toString()` |
    `String` | `toString​(String locale)` |
    `String` | `toString​(Locale locale)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreDifferencePercentage

          public ScoreDifferencePercentage​(double[] percentageLevels)

  - ### Method Detail

    - #### calculateScoreDifferencePercentage

          public static <Score_ extends Score<Score_>> ScoreDifferencePercentage calculateScoreDifferencePercentage​(Score_ baseScore,
                                                                                                                    Score_ valueScore)

    - #### calculateDifferencePercentage

          public static double calculateDifferencePercentage​(double base,
                                                             double value)

    - #### getPercentageLevels

          public double[] getPercentageLevels()

    - #### add

          public ScoreDifferencePercentage add​(ScoreDifferencePercentage addend)

    - #### subtract

          public ScoreDifferencePercentage subtract​(ScoreDifferencePercentage subtrahend)

    - #### multiply

          public ScoreDifferencePercentage multiply​(double multiplicand)

    - #### divide

          public ScoreDifferencePercentage divide​(double divisor)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString​(String locale)

    - #### toString

          public String toString​(Locale locale)